local dpi = require('beautiful.xresources').apply_dpi
local settings = require('settings')

local theme = {}

theme.confdir = os.getenv('HOME') .. '/.config/awesome/'
theme.wallpaper = os.getenv('HOME') .. '/.config/awesome/' .. (settings['wallpaper'] or 'wall.png')
theme.font = 'Terminus 8'

theme.bg_normal = '#000000'
theme.bg_focus = '#000000'
theme.bg_urgent = '#000000'
theme.fg_normal = '#aaaaaa'
theme.fg_focus = '#ff8c00'
theme.fg_urgent = '#af1d18'
theme.fg_minimize = '#ffffff'

theme.border_width = dpi(1)
theme.border_normal = '#1c2022'
theme.border_focus = '#606060'
theme.border_marked = '#3ca4d8'

theme.menu_border_width = 0
theme.menu_width = dpi(130)
theme.menu_submenu_icon = theme.confdir .. '/icons/submenu.png'
theme.menu_fg_normal = '#aaaaaa'
theme.menu_fg_focus = '#ff8c00'
theme.menu_bg_normal = '#050505dd'
theme.menu_bg_focus = '#050505dd'

theme.widget_cpu = theme.confdir .. '/icons/info/cpu.png'
theme.widget_mem = theme.confdir .. '/icons/info/mem.png'
theme.widget_netdown = theme.confdir .. '/icons/info/download.png'
theme.widget_netup = theme.confdir .. '/icons/info/upload.png'
theme.widget_bat_charge = theme.confdir .. '/icons/info/batcharge.png'
theme.widget_bat_empty = theme.confdir .. '/icons/info/batempty.png'
theme.widget_bat_low = theme.confdir .. '/icons/info/batlow.png'
theme.widget_bat_mid = theme.confdir .. '/icons/info/batmid.png'
theme.widget_bat_high = theme.confdir .. '/icons/info/bathigh.png'
theme.widget_bat_full = theme.confdir .. '/icons/info/batfull.png'
theme.widget_vol_mute = theme.confdir .. '/icons/info/volmute.png'
theme.widget_vol_low = theme.confdir .. '/icons/info/vollow.png'
theme.widget_vol_high = theme.confdir .. '/icons/info/volhigh.png'

theme.taglist_fg_focus = '#000000'
theme.taglist_bg_focus = '#b3b3b3'
theme.taglist_squares_unsel = theme.confdir .. '/icons/usedtag.png'
theme.taglist_squares_resize = true

theme.useless_gap = 0

theme.layout_tile = theme.confdir .. '/icons/tile.png'
theme.layout_tilegaps = theme.confdir .. '/icons/tilegaps.png'
theme.layout_tileleft = theme.confdir .. '/icons/tileleft.png'
theme.layout_tilebottom = theme.confdir .. '/icons/tilebottom.png'
theme.layout_tiletop = theme.confdir .. '/icons/tiletop.png'
theme.layout_fairv = theme.confdir .. '/icons/fairv.png'
theme.layout_fairh = theme.confdir .. '/icons/fairh.png'
theme.layout_spiral = theme.confdir .. '/icons/spiral.png'
theme.layout_dwindle = theme.confdir .. '/icons/dwindle.png'
theme.layout_max = theme.confdir .. '/icons/max.png'
theme.layout_fullscreen = theme.confdir .. '/icons/fullscreen.png'
theme.layout_magnifier = theme.confdir .. '/icons/magnifier.png'
theme.layout_floating = theme.confdir .. '/icons/floating.png'

theme.titlebar_close_button_normal = theme.confdir .. '/icons/titlebar/close_normal.png'
theme.titlebar_close_button_focus = theme.confdir .. '/icons/titlebar/close_focus.png'
theme.titlebar_minimize_button_normal = theme.confdir .. '/icons/titlebar/minimize_normal.png'
theme.titlebar_minimize_button_focus = theme.confdir .. '/icons/titlebar/minimize_focus.png'
theme.titlebar_ontop_button_normal_inactive = theme.confdir .. '/icons/titlebar/ontop_normal_inactive.png'
theme.titlebar_ontop_button_focus_inactive = theme.confdir .. '/icons/titlebar/ontop_focus_inactive.png'
theme.titlebar_ontop_button_normal_active = theme.confdir .. '/icons/titlebar/ontop_normal_active.png'
theme.titlebar_ontop_button_focus_active = theme.confdir .. '/icons/titlebar/ontop_focus_active.png'
theme.titlebar_sticky_button_normal_inactive = theme.confdir .. '/icons/titlebar/sticky_normal_inactive.png'
theme.titlebar_sticky_button_focus_inactive = theme.confdir .. '/icons/titlebar/sticky_focus_inactive.png'
theme.titlebar_sticky_button_normal_active = theme.confdir .. '/icons/titlebar/sticky_normal_active.png'
theme.titlebar_sticky_button_focus_active = theme.confdir .. '/icons/titlebar/sticky_focus_active.png'
theme.titlebar_floating_button_normal_inactive = theme.confdir .. '/icons/titlebar/floating_normal_inactive.png'
theme.titlebar_floating_button_focus_inactive = theme.confdir .. '/icons/titlebar/floating_focus_inactive.png'
theme.titlebar_floating_button_normal_active = theme.confdir .. '/icons/titlebar/floating_normal_active.png'
theme.titlebar_floating_button_focus_active = theme.confdir .. '/icons/titlebar/floating_focus_active.png'
theme.titlebar_maximized_button_normal_inactive = theme.confdir .. '/icons/titlebar/maximized_normal_inactive.png'
theme.titlebar_maximized_button_focus_inactive = theme.confdir .. '/icons/titlebar/maximized_focus_inactive.png'
theme.titlebar_maximized_button_normal_active = theme.confdir .. '/icons/titlebar/maximized_normal_active.png'
theme.titlebar_maximized_button_focus_active = theme.confdir .. '/icons/titlebar/maximized_focus_active.png'

theme.tasklist_fg_minimize = '#b3b3b3'
theme.tasklist_bg_minimize = '#4d4d4d'
theme.tasklist_plain_task_name = true
theme.tasklist_disable_icon = true

return theme
